%define major	1
%define libname	%mklibname x86 %{nil} %{major}
%define devname	%mklibname x86 -d

%bcond_with	uclibc

Summary:	Hardware-independent library for executing real-mode x86 code
Name:		libx86
Version:	1.1
Release:	11
License:	MIT
Group:		System/Libraries
Url:		http://www.codon.org.uk/~mjg59/libx86/
Source:		http://www.codon.org.uk/~mjg59/libx86/downloads/%{name}-%{version}.tar.gz
Patch0:		libx86-0.99-ifmask.patch
%if %{with uclibc}
BuildRequires:	uClibc-devel
%endif
ExclusiveArch:	%{ix86} x86_64

%description
It's often useful to be able to make real-mode x86 BIOS calls from userland.
lrmi provides a simple interface to this for x86 machines, but this doesn't
help on other platforms.

libx86 provides the lrmi interface, but will also run on platforms such as
amd64 and alpha.

#----------------------------------------------------------------------------

%package -n	%{libname}
Summary:	Hardware-independent library for executing real-mode x86 code
Group:		System/Libraries

%description -n	%{libname}
It's often useful to be able to make real-mode x86 BIOS calls from userland.
lrmi provides a simple interface to this for x86 machines, but this doesn't
help on other platforms.

libx86 provides the lrmi interface, but will also run on platforms such as
amd64 and alpha.

This package contains the library needed to run programs dynamically
linked with %{name}.

%files -n %{libname}
%doc COPYRIGHT
%{_libdir}/libx86.so.%{major}

#----------------------------------------------------------------------------

%package -n	%{devname}
Summary:	Development files for %{name}
Group:		Development/C
Requires:	%{libname} = %{EVRD}
Provides:	%{name}-devel = %{EVRD}

%description -n	%{devname}
This package contains the development files for %{name}.

%files -n %{devname}
%{_libdir}/libx86.a
%if %{with uclibc}
%{uclibc_root}%{_libdir}/libx86.a
%endif
%{_libdir}/libx86.so
%{_includedir}/libx86.h

#----------------------------------------------------------------------------

%prep
%setup -q
%patch0 -p0

%build
%if %{with uclibc}
%ifarch %{ix86}
%make CC=%{uclibc_cc} CFLAGS="%{uclibc_cflags}" static
%else
%make CC=%{uclibc_cc} BACKEND=x86emu CFLAGS="%{uclibc_cflags} -fPIC" static
%endif
mkdir -p uclibc
mv -f libx86.a uclibc/libx86.a
make clean
%endif

%ifarch %{ix86}
%make CFLAGS="%{optflags}"
%else
%make BACKEND=x86emu CFLAGS="%{optflags} -fPIC"
%endif

%install
%makeinstall_std LIBDIR=%{_libdir}
chmod 0644 %{buildroot}%{_libdir}/libx86.a
%if %{with uclibc}
install -m644 uclibc/libx86.a -D %{buildroot}%{uclibc_root}%{_libdir}/libx86.a
%endif


%changelog
* Fri Jun 27 2014 Alex Burmashev <alex.burmashev@rosalab.ru> 1.1-11
+ Revision: 52ea03f
- MassBuild#440: Increase release tag


